Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.configurator.impl.standardization
Class UnparsedFieldGroup

    java.lang.Object
      com.sun.mdm.index.configurator.impl.standardization.StandardizationFieldGroup
          com.sun.mdm.index.configurator.impl.standardization.UnparsedFieldGroup

public class UnparsedFieldGroup
extends StandardizationFieldGroup

Represents the configuration for a 'free-form texts to standardize' field group, referred to in this class as a 'unparsed' field group as the standardization process consists of two stages: parsing and normalizing. This group represents a structure which does not yet fit the standardized structure and therefore needs parsing as well as normalizing.

Constructor Summary
`UnparsedFieldGroup(java.util.ArrayList aSourceFields, java.lang.String aConcatenationDelimiter, java.util.LinkedHashMap aStandardizationTargets, java.util.HashMap aLocales, java.lang.String aStandardizationType, java.lang.String aDomainSelector, SystemObjectField aLocaleField)` Creates new UnparsedFieldGroup.
`UnparsedFieldGroup(java.util.ArrayList aSourceFields, java.lang.String aConcatenationDelimiter, java.util.LinkedHashMap aStandardizationTargets, java.lang.String aStandardizationType, java.lang.String aDomainSelector)` Creates new UnparsedFieldGroup.

Method Summary
`java.util.ArrayList` | `getSourceFields()` Getter for SourceFields attribute.

Methods inherited from class com.sun.mdm.index.configurator.impl.standardization.StandardizationFieldGroup
`getConcatenationDelimiter, getDomainSelector, getLocaleField, getLocales, getStandardizationTargets, getStandardizationType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnparsedFieldGroup

    public UnparsedFieldGroup(java.util.ArrayList aSourceFields,
                              java.lang.String aConcatenationDelimiter,
                              java.util.LinkedHashMap aStandardizationTargets,
                              java.util.HashMap aLocales,
                              java.lang.String aStandardizationType,
                              java.lang.String aDomainSelector,
                              SystemObjectField aLocaleField)
                       throws java.lang.ClassNotFoundException,
                              java.lang.InstantiationException,
                              java.lang.IllegalAccessException

  Creates new UnparsedFieldGroup.

  Parameters:
    `aSourceFields` - The SystemObjectField instances defining the source fields belonging to one standardization type to standardize.
    `aConcatenationDelimiter` - The concatenation delimiter to use if required.
    `aStandardizationTargets` - The fields to write the standardized structure to.
    `aLocales` - the hash map containing the locale mappings.
    `aStandardizationType` - The standardization engine specific standardization.
    `aDomainSelector` - The default domain selector.
    `aLocaleField` - The field containing the locale information type identifying the entry to standardize to the standardization engine.
  Throws:
    `java.lang.ClassNotFoundException` - if a class is not found.
    `java.lang.InstantiationException` - if there is an InstantiationException.
    `java.lang.IllegalAccessException` - if there is an IllegalAccessException.

### UnparsedFieldGroup

    public UnparsedFieldGroup(java.util.ArrayList aSourceFields,
                              java.lang.String aConcatenationDelimiter,
                              java.util.LinkedHashMap aStandardizationTargets,
                              java.lang.String aStandardizationType,
                              java.lang.String aDomainSelector)
                       throws java.lang.ClassNotFoundException,
                              java.lang.InstantiationException,
                              java.lang.IllegalAccessException

  Creates new UnparsedFieldGroup.

  Parameters:
    `aSourceFields` - The SystemObjectField instances defining the source fields belonging to one standardization type to standardize.
    `aConcatenationDelimiter` - The concatenation delimiter to use if required.
    `aStandardizationTargets` - The fields to write the standardized structure to.
    `aStandardizationType` - The standardization engine specific standardization. type identifying the entry to standardize to the standardization engine
    `aDomainSelector` - The default domain selector.
  Throws:
    `java.lang.ClassNotFoundException` - if a class is not found.
    `java.lang.InstantiationException` - if there is an InstantiationException.
    `java.lang.IllegalAccessException` - if there is an IllegalAccessException.

Method Detail

### getSourceFields

    public java.util.ArrayList getSourceFields()

  Getter for SourceFields attribute.

  Returns:
    an ArrayList of SystemObjectField instances defining the source fields belonging to one standardization type to standardize.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.